<template>
  <v-container fluid class="px-10">
    <v-row>
      <v-col cols="2">
        <v-btn small text to="/home">
          <v-icon small>mdi-arrow-left</v-icon>
          Back to Home
        </v-btn>
      </v-col>
    </v-row>
    <h1>Finish Good</h1>
    <v-divider class="mt-2 mb-4" />
    <v-row>
      <v-col>
        <h3>Finish Good History</h3>
      </v-col>
      <v-col cols="auto" class="d-flex align-center">
        <v-btn
          id="btn-add-size"
          color="primary"
          class="ml-5"
          dark
          @click="isModalVisible.createFinishGood = true"
          >Add Finish Good</v-btn
        >
      </v-col>
    </v-row>
    <v-divider class="mt-2" />
    <v-row>
      <v-col>
        <v-data-table :headers="finishGoodHeaders" :items="Sizes" item-key="id">
        </v-data-table>
      </v-col>
    </v-row>
    <v-dialog v-model="isModalVisible.createFinishGood" max-width="600px">
      <v-card>
        <v-card-title>
          <span class="headline">Add Finish Good</span>
        </v-card-title>
        <v-card-text>
          <v-container>
            <v-form @submit.prevent="handleCreateFinishGood">
            <row dense>
              <v-row>
                  <v-col cols="6">
                    <v-select
                    v-model="finishGoodForm.po"
                    item-text="name"
                    item-value="id"
                    :items="po"
                    label="PO"
                    outlined
                    dense
                    :rules="required"
                    ></v-select>
                </v-col>
                <v-col cols="6">
                    <v-text-field
                      id="machine"
                      v-model="finishGoodForm.name"
                      label="Machine"
                      required
                      outlined
                      hide-details
                    />
                </v-col>
              </v-row>
              <v-row>
                  <v-col cols="6">
                    <v-select
                    v-model="finishGoodForm.shift"
                    item-text="name"
                    item-value="id"
                    :items="shift"
                    label="Shift"
                    outlined
                    dense
                    :rules="required"
                    ></v-select>
                </v-col>
                <v-col cols="6">
                    <v-text-field
                      id="total"
                      v-model="finishGoodForm.outputPerJam"
                      label="output per jam"
                      type="number"
                      required
                      outlined
                      hide-details
                    ></v-text-field>
                </v-col>
              </v-row>
            </row>
            </v-form>
          </v-container>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="primary" text @click="isModalVisible.createFinishGood = false">Cancel</v-btn>
          <v-btn id="btn-submit-size" color="primary" @click="handleCreateFinishGood">Save</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>
// import DatePicker from '~/components/DatePicker'
export default {
//   components: { DatePicker },
//   async asyncData({ store, $axios }) {
//     const { data: FinishGoods } = await $axios.get('/api/v1/finishGoods')

//     return {
//       FinishGoods: FinishGoods.data
//     }
//   },
  data: () => ({
    isModalVisible: {
      createFinishGood: false
    },
    finishGoodHeaders: [
      { text: 'PO Number', value: 'poNumber' },
      { text: 'Date & Time', value: 'dateTime' },
      { text: 'Shift', value: 'shift' },
      { text: 'Machine', value: 'machine' },
      { text: 'Total', value: 'total' }
    ],
    finishGoodForm: {
      name: '',
      shift: '',
      po: '',
      outputPerJam: ''
    },
    selectedProduct: null
  }),
  methods: {
    formatDate(date) {
      return new Date(date).toLocaleString()
    },
    resetForm(form) {
      Object.keys(form).forEach((key) => (form[key] = ''))
    },
    handleCreateFinishGood() {
    //   this.$axios
    //     .post('/api/v1/finishGoods', { ...this.finishGoodForm })
    //     .then(() => {
    //       this.refreshList()
    //       this.isModalVisible.createFinishGood = false
    //     })
    //     .catch(({ response: { data } }) => {
    //       this.$toast.error(data.message)
    //     })
    },
    async refreshList() {
    //   const { data: FinishGoods } = await this.$axios.get('/api/v1/finishGoods')
    //   this.FinishGoods = FinishGoods.data
    }
  }
}
</script>
